Bug 1417771 - Update package source to github.com
Summary: Update package source to github.com
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: libva
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 22:52 UTC by Scott D Phillips
Modified: 2017-04-10 16:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-31 16:39:34 UTC
Type: Bug


Attachments (Terms of Use)
0001-Update-package-source-to-github.patch (1.33 KB, patch)
2017-01-30 22:52 UTC, Scott D Phillips
no flags Details | Diff

Description Scott D Phillips 2017-01-30 22:52:09 UTC
Description of problem:

The libva project has moved from freedesktop.org to github.com. Update the .spec file accordingly.

https://github.com/01org/libva

Comment 1 Scott D Phillips 2017-01-30 22:52:50 UTC
Created attachment 1246040 [details]
0001-Update-package-source-to-github.patch

Here is my attempt to update the source in the spec file.

Comment 2 Nicolas Chauvet (kwizart) 2017-02-20 12:06:13 UTC
Thx for the report.

I don't get the point to use dh-autoreconf package over autoreconf script which is distro agnostic.

When extracting the libva archive from github I have libva-libva-1.7.3 instead of libva-1.7.3, seems something is broken here.
Can you fix it ?

Also I seems weird that some files have changes from the 1.7.3 tag release (not speaking about autotools removal, but also test cases, etc).

Comment 3 Sean V Kelley 2017-02-21 00:51:01 UTC
Hi Nicolas,

I'm a Libva maintainer at Intel (sean.v.kelley@intel.com).  The next release tag will be 1.8.0 and that will correct the oddity with Github double labeling the archive.  You can actually rename using curl/wget as a part of the checkout anyway, but I will ensure the release tag will be numbers and not include the actual project name.  I suggest you don't update the package *until* I release 1.8.0.

The test folder is gone and I've created a new project libva-utils.  The next release of 1.8.0 will no longer have a test folder or the tests/apps that were inside it.

https://github.com/01org/libva-utils

We can submit a spec file for that project for the 1.8.0 release.

Thanks,

Sean

Comment 4 Fedora End Of Life 2017-02-28 11:08:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Scott D Phillips 2017-03-06 22:39:44 UTC
(In reply to Nicolas Chauvet (kwizart) from comment #2)
> Thx for the report.
> 
> I don't get the point to use dh-autoreconf package over autoreconf script
> which is distro agnostic.

Just a simple misunderstanding of mine when making the file. I'll take that out.


> Also I seems weird that some files have changes from the 1.7.3 tag release
> (not speaking about autotools removal, but also test cases, etc).

Like Sean mentioned, some of the utilities got moved from libva to libva-utils. Shall we create a new package for that?

Comment 7 Scott D Phillips 2017-04-10 16:09:14 UTC
clear needinfo


Note You need to log in before you can comment on or make changes to this bug.